apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: hgzero

resources:
- ../../base

patches:
# Common patches
- path: cm-common-patch.yaml
  target:
    kind: ConfigMap
    name: hgzero-common-config

- path: secret-common-patch.yaml
  target:
    kind: Secret
    name: hgzero-common-secret

- path: ingress-patch.yaml
  target:
    kind: Ingress
    name: hgzero-ingress

# User service patches
- path: deployment-user-patch.yaml
  target:
    kind: Deployment
    name: user-service

- path: secret-user-patch.yaml
  target:
    kind: Secret
    name: user-service-secret

# Meeting service patches
- path: deployment-meeting-patch.yaml
  target:
    kind: Deployment
    name: meeting-service

- path: secret-meeting-patch.yaml
  target:
    kind: Secret
    name: meeting-service-secret

# STT service patches
- path: deployment-stt-patch.yaml
  target:
    kind: Deployment
    name: stt-service

- path: secret-stt-patch.yaml
  target:
    kind: Secret
    name: stt-service-secret

# AI service patches
- path: deployment-ai-patch.yaml
  target:
    kind: Deployment
    name: ai-service

- path: secret-ai-patch.yaml
  target:
    kind: Secret
    name: ai-service-secret

# Notification service patches
- path: deployment-notification-patch.yaml
  target:
    kind: Deployment
    name: notification-service

- path: secret-notification-patch.yaml
  target:
    kind: Secret
    name: notification-service-secret

images:
- name: user-service
  newTag: staging-latest
- name: meeting-service
  newTag: staging-latest
- name: stt-service
  newTag: staging-latest
- name: ai-service
  newTag: staging-latest
- name: notification-service
  newTag: staging-latest
